<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_ID" version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
	<display-name>BlankoNet</display-name>
	<servlet>
		<description>
		</description>
		<display-name>
		Profile</display-name>
		<servlet-name>GeneralDispatcher</servlet-name>
		<servlet-class>Octopus</servlet-class>
	</servlet>
	<servlet>
		<servlet-name>Faces Servlet</servlet-name>
		<servlet-class>
		javax.faces.webapp.FacesServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>GeneralDispatcher</servlet-name>
		<url-pattern>/contacts/*</url-pattern>
	</servlet-mapping>
		<servlet-mapping>
		<servlet-name>GeneralDispatcher</servlet-name>
		<url-pattern>/login/*</url-pattern>
	</servlet-mapping>
	<welcome-file-list>
		<welcome-file>index.html</welcome-file>
		<welcome-file>index.htm</welcome-file>
		<welcome-file>index.jsp</welcome-file>
		<welcome-file>default.html</welcome-file>
		<welcome-file>default.htm</welcome-file>
		<welcome-file>default.jsp</welcome-file>
	</welcome-file-list>
	<mime-mapping>
		<extension>jpg</extension>
		<mime-type>image/jpeg</mime-type>
	</mime-mapping>
	<jsp-config>
		<jsp-property-group>
       		<description>Toutes les pages</description>
       		<url-pattern>*.jsp</url-pattern>
       		<page-encoding>UTF-8</page-encoding>
			<include-prelude>/includes/header.jsp</include-prelude>
			<include-coda>/includes/footer.jsp</include-coda>
		</jsp-property-group>
	</jsp-config>
</web-app>
